> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VPN Profile list

> Retrieves all VPN profiles assigned to the user



## OpenAPI

````yaml get /api/v1/vpn
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/vpn:
    get:
      tags:
        - vpn
      description: Retrieves all VPN profiles assigned to the user
      operationId: vpn_retrieve
      parameters:
        - in: query
          name: date
          schema:
            type: string
          description: Filter VPN profiles by date of creation.
        - in: query
          name: email
          schema:
            type: string
          description: |-
            Filter by VPN profile by user email.
            This filter is case insensitive.
        - in: query
          name: include_cert
          schema:
            type: boolean
          description: Include Certificate in the VPN response object
        - in: query
          name: limit
          schema:
            type: number
            default: 50
          description: Max number of reponse items.
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: Offset response items.
        - in: query
          name: only_mine
          schema:
            type: boolean
          description: Return only VPN profiles assigned to the user
        - in: query
          name: order
          schema:
            type: string
            default: '-id'
          description: Order results by item field
          examples:
            IdDesc:
              value: '-id'
              summary: id desc
              description: Order by id desc
            IdAsc:
              value: id
              summary: id asc
              description: Order by id asc
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Unique identifier for the VPN profile.
                          examples:
                            - 11
                            - 22
                            - 33
                        organization:
                          type: object
                          properties:
                            id:
                              type: number
                              examples:
                                - 5
                                - 10
                                - 15
                              description: Unique identifier for the Organization.
                            name:
                              type: string
                              examples:
                                - Sample Organization
                                - My Organization
                              description: Organization common name.
                            logo:
                              type: string
                              format: uri
                              examples:
                                - https://sample.com/logo.svg
                                - https://my.organization.com/logo.png
                              description: Organization logo URL.
                        created_at:
                          type: string
                          format: date-time
                          description: Date and time of creation of the VPN profile.
                        user_id:
                          type: string
                          format: uuid
                          description: Unique identifier for the user.
                        email:
                          type: string
                          format: email
                          description: Email address of the user.
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````